import UserRouter from "../routers/UserRouter.ts";
import ImageRouter from "./ImageRouter.ts";
import AppRouter from "./AppRouter.ts";
import RestResponse from "../server/RestResponse.ts";
import { rest, route } from "../server/decorators.ts";
import { stream } from "../utils/utils.ts";
import AppDatabase from "../AppDatabase.ts";

export class RootRouter extends AppRouter {
    @route('users/*') users;
    @route('images/*') images;

    @rest('*', '*')
    default() {
        return new RestResponse().body(stream('Page not found :/')).status(404);
    }

    constructor(salt: string, db: AppDatabase) {
        super();

        this.users = new UserRouter(salt, db);
        this.images = new ImageRouter(db);
    }
}
